# Source for file Parser.php

Documentation is available at Parser.php

1. <?php
2. /*
3. * $Id: Parser.php 1158 2007-03-02 20:47:17Z zYne $
4. *
5. * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6. * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7. * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8. * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9. * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10. * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11. * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12. * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13. * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14. * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15. * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16. *
17. * This software consists of voluntary contributions made by many individuals
18. * and is licensed under the LGPL. For more information, see
19. * <http://www.phpdoctrine.com>.
20. */
22. /**
23. * Doctrine_Hook_Parser
24. *
25. * @package Doctrine
26. * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
27. * @category Object Relational Mapping
28. * @link www.phpdoctrine.com
29. * @since 1.0
30. * @version $Revision: 1158 $
31. * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
32. */
33. abstract class Doctrine_Hook_Parser
34. {
35. protected $condition;
36. protected $params = array();
38. public function getCondition()
39. {
40. return $this->condition;
41. }
42. /**
43. * getParams
44. * returns the parameters associated with this parser
45. *
46. * @return array
47. */
48. public function getParams()
49. {
50. return $this->params;
51. }
52. /**
53. * parse
54. * Parses given field and field value to DQL condition
55. * and parameters. This method should always return
56. * prepared statement conditions (conditions that use
57. * placeholders instead of literal values).
58. *
59. * @param string $alias component alias
60. * @param string $field the field name
61. * @param mixed $value the value of the field
62. * @return void
63. */
64. abstract public function parse($alias, $field, $value);
65. }